{% load i18n %}

<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title> {{ document_title }} {{ bookshop.name }}</title>

    <style>
     .new-page {
         page-break-before: always;
     }

     @page {
         font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
         font-size: 11px;
         color: #555;
         @bottom-center {
             content: "{% if bookshop.checks_order %} Chèques à l'ordre de {{ bookshop.checks_order }} {% else %} {{ bookshop.name | safe }} {% endif %}. {% if bookshop.bank_IBAN %} IBAN: {{ bookshop.bank_IBAN }} {% endif %} {% if bookshop.bank_BIC %} Code BIC: {{ bookshop.bank_BIC}} {% endif %} {% if bookshop.is_vat_exonerated %} - exonéré de TVA.{% endif %} "
         }
     }

     .invoice-box {
         max-width: 800px;
         margin: auto;
         padding: 14px;
         box-shadow: 0 0 10px rgba(0, 0, 0, .15);
         font-size: 12px;
         line-height: 14px;
         font-family: 'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;
         color: #555;
     }

     .invoice-box table {
         width: 100%;
         line-height: inherit;
         text-align: left;
     }

     .invoice-box table td {
         padding: 5px;
         vertical-align: top;
     }

     .with-border table td {
         border-bottom: 1px solid #ddd;
     }

     .invoice-box table tr td:nth-child(2) {
         text-align: right;
     }

     .invoice-box table tr.top table td {
         padding-bottom: 14px;
     }

     .invoice-box table tr.top table td.title {
         font-size: 24px;
         line-height: 45px;
         color: #333;
     }

     .invoice-box table tr.information table td {
         padding-bottom: 15px;
     }

     .invoice-box table tr.heading td {
         background: #eee;
         font-weight: bold;
     }

     .invoice-box table tr.details td {
         padding-bottom: 7px;
     }

     .invoice-box table tr.item td{
     }

     .invoice-box table tr.item.last td {
         border-bottom: none;
     }

     .invoice-box table tr.total td {
         font-weight: bold;
     }

     @media only screen and (max-width: 600px) {
         .invoice-box table tr.top table td {
             width: 100%;
             display: block;
             text-align: center;
         }

         .invoice-box table tr.information table td {
             width: 100%;
             display: block;
             text-align: center;
         }
     }

    </style>
  </head>

  <body>

    <!-- Header: the bookshop and client's name, address, phone… -->
    {% include "pdftemplates/includes/header.html" %}

    <h5> {{ document_title }}
      <br>
    </h5>
    {% if bon_de_commande %}
    <div style="font-size: 90%"> Bon de commande: {{ bon_de_commande }} </div>
    {% endif %}

    <div class="invoice-box">
      <table>
        <thead>
          <tr>
            <th> {% trans "EAN13" %} </th>
            <th>
              {% trans "Title" %}
            </th>
            <th>
              {% trans "Publisher" %}
            </th>
            <th style="text-align: right">
              {% trans "Price" %}
            </th>
            <th style="text-align: right">
              {% trans "Quantity" %}
            </th>
          </tr>
        </thead>

        <tbody>
          {% for card_qty in cards_data %}
          <tr>
            <td style="text-align: right">
              {{ card_qty.0.isbn }}
            </td>
            <td style="text-align: left">
              {{ card_qty.0.title }}
            </td>
            <td style="text-align: left">
              {{ card_qty.0.pubs_repr }}
            </td>
            <td style="text-align: right">
              {{ card_qty.2 }}
            </td>
            <td style="text-align: right">
              x {{ card_qty.1 }}
            </td>
          </tr>
          {% endfor %}
        </tbody>

      </table>
    </div>

    {% if show_payment_details %}
    <div class="invoice-box with-border">
      <table>


        <tr>
          <td>
            {{ total_label }}
          </td>

          <td>
            {{ total_fmt }}
          </td>
        </tr>

        {% if show_discount %}
        <tr class="item">
          <td>
            {{ discount_label }}
          </td>

          <td>
            {{ discount_fmt }}
          </td>
        </tr>

        <tr class="item">
          <td>
            {% trans "Total with discount" %}<br>
          </td>

          <td>
            {{ total_discounted_fmt }}
          </td>
        </tr>
        {% endif %}

        {% if not bookshop.is_vat_exonerated %}
        <tr class="item">
          <td>
            {{ total_before_taxes_label }}
          </td>

          <td>
            {{ total_before_taxes_fmt }}
          </td>
        </tr>

        <tr>
          <td>
            {% trans "TVA" %} %
          </td>
          <td>
            {% if not only_one_vat_type %}
            {{ total_vat_fmt }}
            {% endif %}
          </td>
        </tr>

        {% for vat_tuple in vat_values %}
        <tr>
          <td>
            {{ vat_tuple.0 }}
          </td>
          <td>
            {{ vat_tuple.1 }}
          </td>
        </tr>
        {% endfor %}

        {% endif %}

        {% if shipping_cost %}
        <tr>
          <td>
            {{ shipping_cost_label }}
          </td>
          <td>
            {{ shipping_cost_fmt }}
          </td>
        </tr>
        {% endif %}

        <tr class="total">

          {% if is_paid %}
          <tr>
            <td></td>
            <td>
              {{ total_paid_label }}: {{ total_paid_fmt }}
            </td>
          </tr>
          {% endif %}

          <td></td>
          <td style="font-weight: bold;">
            {{ total_to_pay_label }}: {{ total_to_pay_fmt }}
          </td>
        </tr>

      </table>
    </div>
    {% endif %}

  </body>
</html>
